---
title: Edit degradation update
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Status Pages
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

# Edit degradation update{% #edit-degradation-update %}
Copy pageCopied
{% tab title="v2" %}

| Datadog site      | API endpoint                                                                                                       |
| ----------------- | ------------------------------------------------------------------------------------------------------------------ |
| ap1.datadoghq.com | PATCH https://api.ap1.datadoghq.com/api/v2/statuspages/{page_id}/degradations/{degradation_id}/updates/{update_id} |
| ap2.datadoghq.com | PATCH https://api.ap2.datadoghq.com/api/v2/statuspages/{page_id}/degradations/{degradation_id}/updates/{update_id} |
| app.datadoghq.eu  | PATCH https://api.datadoghq.eu/api/v2/statuspages/{page_id}/degradations/{degradation_id}/updates/{update_id}      |
| app.ddog-gov.com  | PATCH https://api.ddog-gov.com/api/v2/statuspages/{page_id}/degradations/{degradation_id}/updates/{update_id}      |
| us2.ddog-gov.com  | PATCH https://api.us2.ddog-gov.com/api/v2/statuspages/{page_id}/degradations/{degradation_id}/updates/{update_id}  |
| uk1.datadoghq.com | PATCH https://api.uk1.datadoghq.com/api/v2/statuspages/{page_id}/degradations/{degradation_id}/updates/{update_id} |
| app.datadoghq.com | PATCH https://api.datadoghq.com/api/v2/statuspages/{page_id}/degradations/{degradation_id}/updates/{update_id}     |
| us3.datadoghq.com | PATCH https://api.us3.datadoghq.com/api/v2/statuspages/{page_id}/degradations/{degradation_id}/updates/{update_id} |
| us5.datadoghq.com | PATCH https://api.us5.datadoghq.com/api/v2/statuspages/{page_id}/degradations/{degradation_id}/updates/{update_id} |

### Overview

Edits a specific degradation update.

OAuth apps require the `status_pages_incident_write` authorization [scope](https://docs.datadoghq.com/api/latest/scopes.md#status-pages) to access this endpoint.



### Arguments

#### Path Parameters

| Name                             | Type   | Description                       |
| -------------------------------- | ------ | --------------------------------- |
| degradation_id [*required*] | string | The ID of the degradation.        |
| page_id [*required*]        | string | The ID of the status page.        |
| update_id [*required*]      | string | The ID of the degradation update. |

#### Query Strings

| Name    | Type   | Description                                                                                                                       |
| ------- | ------ | --------------------------------------------------------------------------------------------------------------------------------- |
| include | string | Comma-separated list of resources to include. Supported values: created_by_user, last_modified_by_user, degradation, status_page. |

### Request

#### Body Data (required)



{% tab title="Model" %}

| Parent field | Field                  | Type   | Description                                                                                      |
| ------------ | ---------------------- | ------ | ------------------------------------------------------------------------------------------------ |
|              | data                   | object | The data object for editing a degradation update.                                                |
| data         | attributes             | object | Attributes for editing a degradation update.                                                     |
| attributes   | description            | string | The message body of the update.                                                                  |
| attributes   | status                 | enum   | The status of the degradation update. Allowed enum values: `investigating,identified,monitoring` |
| data         | id                     | string | The ID of the degradation update to edit.                                                        |
| data         | type [*required*] | enum   | Degradation updates resource type. Allowed enum values: `degradation_updates`                    |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "description": "string",
      "status": "string"
    },
    "id": "string",
    "type": "degradation_updates"
  }
}
```

{% /tab %}

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response object for a degradation update.

| Parent field          | Field                        | Type            | Description                                                                                                                                             |
| --------------------- | ---------------------------- | --------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------- |
|                       | data                         | object          | The data object for a degradation update.                                                                                                               |
| data                  | attributes                   | object          | Attributes of a degradation update resource.                                                                                                            |
| attributes            | components_affected          | [object]        | Components affected by this update.                                                                                                                     |
| components_affected   | id [*required*]         | string          | The ID of the affected component.                                                                                                                       |
| components_affected   | name                         | string          | The name of the affected component.                                                                                                                     |
| components_affected   | status [*required*]     | enum            | The status of the component. Allowed enum values: `operational,degraded,partial_outage,major_outage,maintenance`                                        |
| attributes            | created_at                   | date-time       | The date and time the update was created.                                                                                                               |
| attributes            | deleted_at                   | date-time       | The date and time the update was soft-deleted.                                                                                                          |
| attributes            | description                  | string          | The message body of the update.                                                                                                                         |
| attributes            | modified_at                  | date-time       | The date and time the update was last modified.                                                                                                         |
| attributes            | started_at                   | date-time       | The date and time the update started.                                                                                                                   |
| attributes            | status                       | enum            | The status of the degradation. Allowed enum values: `investigating,identified,monitoring,resolved`                                                      |
| data                  | id                           | string          | The ID of the degradation update.                                                                                                                       |
| data                  | relationships                | object          | Relationships of a degradation update resource.                                                                                                         |
| relationships         | created_by_user              | object          | A user relationship of a degradation update.                                                                                                            |
| created_by_user       | data [*required*]       | object          | A Datadog user linked to a degradation update.                                                                                                          |
| data                  | id [*required*]         | string          | The ID of the user.                                                                                                                                     |
| data                  | type [*required*]       | enum            | Users resource type. Allowed enum values: `users`                                                                                                       |
| relationships         | degradation                  | object          | The degradation relationship of a degradation update.                                                                                                   |
| degradation           | data [*required*]       | object          | The degradation linked to a degradation update.                                                                                                         |
| data                  | id [*required*]         | string          | The ID of the degradation.                                                                                                                              |
| data                  | type [*required*]       | enum            | Degradations resource type. Allowed enum values: `degradations`                                                                                         |
| relationships         | deleted_by_user              | object          | A user relationship of a degradation update.                                                                                                            |
| deleted_by_user       | data [*required*]       | object          | A Datadog user linked to a degradation update.                                                                                                          |
| data                  | id [*required*]         | string          | The ID of the user.                                                                                                                                     |
| data                  | type [*required*]       | enum            | Users resource type. Allowed enum values: `users`                                                                                                       |
| relationships         | last_modified_by_user        | object          | A user relationship of a degradation update.                                                                                                            |
| last_modified_by_user | data [*required*]       | object          | A Datadog user linked to a degradation update.                                                                                                          |
| data                  | id [*required*]         | string          | The ID of the user.                                                                                                                                     |
| data                  | type [*required*]       | enum            | Users resource type. Allowed enum values: `users`                                                                                                       |
| relationships         | status_page                  | object          | The status page relationship of a degradation update.                                                                                                   |
| status_page           | data [*required*]       | object          | The status page linked to a degradation update.                                                                                                         |
| data                  | id [*required*]         | string          | The ID of the status page.                                                                                                                              |
| data                  | type [*required*]       | enum            | Status pages resource type. Allowed enum values: `status_pages`                                                                                         |
| data                  | type [*required*]       | enum            | Degradation updates resource type. Allowed enum values: `degradation_updates`                                                                           |
|                       | included                     | [ <oneOf>] | Resources related to the degradation update.                                                                                                            |
| included              | Option 1                     | object          | The included Datadog user resource.                                                                                                                     |
| Option 1              | attributes                   | object          | Attributes of the Datadog user.                                                                                                                         |
| attributes            | email                        | string          | The email of the Datadog user.                                                                                                                          |
| attributes            | handle                       | string          | The handle of the Datadog user.                                                                                                                         |
| attributes            | icon                         | string          | The icon of the Datadog user.                                                                                                                           |
| attributes            | name                         | string          | The name of the Datadog user.                                                                                                                           |
| attributes            | uuid                         | string          | The UUID of the Datadog user.                                                                                                                           |
| Option 1              | id                           | uuid            | The ID of the Datadog user.                                                                                                                             |
| Option 1              | type [*required*]       | enum            | Users resource type. Allowed enum values: `users`                                                                                                       |
| included              | Option 2                     | object          | Response object for a single degradation.                                                                                                               |
| Option 2              | data                         | object          | The data object for a degradation.                                                                                                                      |
| data                  | attributes                   | object          | The attributes of a degradation.                                                                                                                        |
| attributes            | components_affected          | [object]        | Components affected by the degradation.                                                                                                                 |
| components_affected   | id [*required*]         | uuid            | The ID of the component.                                                                                                                                |
| components_affected   | name                         | string          | The name of the component.                                                                                                                              |
| components_affected   | status [*required*]     | enum            | The status of the component. Allowed enum values: `operational,degraded,partial_outage,major_outage,maintenance`                                        |
| attributes            | created_at                   | date-time       | Timestamp of when the degradation was created.                                                                                                          |
| attributes            | description                  | string          | Description of the degradation.                                                                                                                         |
| attributes            | is_backfilled                | boolean         | Whether the degradation was backfilled.                                                                                                                 |
| attributes            | modified_at                  | date-time       | Timestamp of when the degradation was last modified.                                                                                                    |
| attributes            | source                       | object          | The source of the degradation.                                                                                                                          |
| source                | created_at [*required*] | date-time       | Timestamp of when the source was created.                                                                                                               |
| source                | source_id [*required*]  | string          | The ID of the source.                                                                                                                                   |
| source                | type [*required*]       | enum            | The type of the source. Allowed enum values: `incident`                                                                                                 |
| attributes            | status                       | enum            | The status of the degradation. Allowed enum values: `investigating,identified,monitoring,resolved`                                                      |
| attributes            | title                        | string          | Title of the degradation.                                                                                                                               |
| attributes            | updates                      | [object]        | Past updates made to the degradation.                                                                                                                   |
| updates               | components_affected          | [object]        | The components affected at the time of the update.                                                                                                      |
| components_affected   | id [*required*]         | uuid            | Identifier of the component affected at the time of the update.                                                                                         |
| components_affected   | name                         | string          | The name of the component affected at the time of the update.                                                                                           |
| components_affected   | status [*required*]     | enum            | The status of the component affected at the time of the update. Allowed enum values: `operational,degraded,partial_outage,major_outage,maintenance`     |
| updates               | created_at                   | date-time       | Timestamp of when the update was created.                                                                                                               |
| updates               | deleted_at                   | string          | The date and time the resource was deleted.                                                                                                             |
| updates               | deleted_by_user_uuid         | string          | UUID of the user who deleted the resource.                                                                                                              |
| updates               | description                  | string          | Description of the update.                                                                                                                              |
| updates               | id                           | uuid            | Identifier of the update.                                                                                                                               |
| updates               | last_modified_by_user_uuid   | string          | UUID of the user who last modified the resource.                                                                                                        |
| updates               | modified_at                  | date-time       | Timestamp of when the update was last modified.                                                                                                         |
| updates               | started_at                   | date-time       | Timestamp of when the update started.                                                                                                                   |
| updates               | status                       | enum            | The status of the degradation. Allowed enum values: `investigating,identified,monitoring,resolved`                                                      |
| data                  | id                           | uuid            | The ID of the degradation.                                                                                                                              |
| data                  | relationships                | object          | The relationships of a degradation.                                                                                                                     |
| relationships         | created_by_user              | object          | The Datadog user who created the degradation.                                                                                                           |
| created_by_user       | data [*required*]       | object          | The data object identifying the Datadog user who created the degradation.                                                                               |
| data                  | id [*required*]         | string          | The ID of the Datadog user who created the degradation.                                                                                                 |
| data                  | type [*required*]       | enum            | Users resource type. Allowed enum values: `users`                                                                                                       |
| relationships         | last_modified_by_user        | object          | The Datadog user who last modified the degradation.                                                                                                     |
| last_modified_by_user | data [*required*]       | object          | The data object identifying the Datadog user who last modified the degradation.                                                                         |
| data                  | id [*required*]         | string          | The ID of the Datadog user who last modified the degradation.                                                                                           |
| data                  | type [*required*]       | enum            | Users resource type. Allowed enum values: `users`                                                                                                       |
| relationships         | status_page                  | object          | The status page the degradation belongs to.                                                                                                             |
| status_page           | data [*required*]       | object          | The data object identifying the status page the degradation belongs to.                                                                                 |
| data                  | id [*required*]         | uuid            | The ID of the status page.                                                                                                                              |
| data                  | type [*required*]       | enum            | Status pages resource type. Allowed enum values: `status_pages`                                                                                         |
| data                  | type [*required*]       | enum            | Degradations resource type. Allowed enum values: `degradations`                                                                                         |
| Option 2              | included                     | [ <oneOf>] | The included related resources of a degradation. Client must explicitly request these resources by name in the `include` query parameter.               |
| included              | Option 1                     | object          | The included Datadog user resource.                                                                                                                     |
| Option 1              | attributes                   | object          | Attributes of the Datadog user.                                                                                                                         |
| attributes            | email                        | string          | The email of the Datadog user.                                                                                                                          |
| attributes            | handle                       | string          | The handle of the Datadog user.                                                                                                                         |
| attributes            | icon                         | string          | The icon of the Datadog user.                                                                                                                           |
| attributes            | name                         | string          | The name of the Datadog user.                                                                                                                           |
| attributes            | uuid                         | string          | The UUID of the Datadog user.                                                                                                                           |
| Option 1              | id                           | uuid            | The ID of the Datadog user.                                                                                                                             |
| Option 1              | type [*required*]       | enum            | Users resource type. Allowed enum values: `users`                                                                                                       |
| included              | Option 2                     | object          | The included status page resource.                                                                                                                      |
| Option 2              | attributes                   | object          | The attributes of a status page.                                                                                                                        |
| attributes            | company_logo                 | string          | The base64-encoded image data displayed in the company logo.                                                                                            |
| attributes            | components                   | [object]        | Components displayed on the status page.                                                                                                                |
| components            | components                   | [object]        | If the component is of type `group`, the components within the group.                                                                                   |
| components            | id                           | uuid            | The ID of the grouped component.                                                                                                                        |
| components            | name                         | string          | The name of the grouped component.                                                                                                                      |
| components            | position                     | int64           | The zero-indexed position of the grouped component. Relative to the other components in the group.                                                      |
| components            | status                       | enum            | The status of the component. Allowed enum values: `operational,degraded,partial_outage,major_outage,maintenance`                                        |
| components            | type                         | enum            | The type of the component. Allowed enum values: `component`                                                                                             |
| components            | id                           | uuid            | The ID of the component.                                                                                                                                |
| components            | name                         | string          | The name of the component.                                                                                                                              |
| components            | position                     | int64           | The zero-indexed position of the component.                                                                                                             |
| components            | status                       | enum            | The status of the component. Allowed enum values: `operational,degraded,partial_outage,major_outage,maintenance`                                        |
| components            | type                         | enum            | The type of the component. Allowed enum values: `component,group`                                                                                       |
| attributes            | created_at                   | date-time       | Timestamp of when the status page was created.                                                                                                          |
| attributes            | custom_domain                | string          | If configured, the url that the status page is accessible at.                                                                                           |
| attributes            | custom_domain_enabled        | boolean         | Whether the custom domain is configured.                                                                                                                |
| attributes            | domain_prefix                | string          | The subdomain of the status page's url taking the form `https://{domain_prefix}.statuspage.datadoghq.com`. Globally unique across Datadog Status Pages. |
| attributes            | email_header_image           | string          | Base64-encoded image data included in email notifications sent to status page subscribers.                                                              |
| attributes            | enabled                      | boolean         | Whether the status page is enabled.                                                                                                                     |
| attributes            | favicon                      | string          | Base64-encoded image data displayed in the browser tab.                                                                                                 |
| attributes            | modified_at                  | date-time       | Timestamp of when the status page was last modified.                                                                                                    |
| attributes            | name                         | string          | The name of the status page.                                                                                                                            |
| attributes            | page_url                     | string          | The url that the status page is accessible at.                                                                                                          |
| attributes            | slack_app_icon               | string          | The Slack app icon URL for the status page.                                                                                                             |
| attributes            | slack_subscriptions_enabled  | boolean         | Whether Slack subscriptions are enabled for the status page.                                                                                            |
| attributes            | subscriptions_enabled        | boolean         | Whether users can subscribe to the status page.                                                                                                         |
| attributes            | type                         | enum            | The type of the status page controlling how the status page is accessed. Allowed enum values: `public,internal`                                         |
| attributes            | visualization_type           | enum            | The visualization type of the status page. Allowed enum values: `bars_and_uptime_percentage,bars_only,component_name_only`                              |
| Option 2              | id                           | uuid            | The ID of the status page.                                                                                                                              |
| Option 2              | relationships                | object          | The relationships of a status page.                                                                                                                     |
| relationships         | created_by_user              | object          | The Datadog user who created the status page.                                                                                                           |
| created_by_user       | data [*required*]       | object          | The data object identifying the Datadog user who created the status page.                                                                               |
| data                  | id [*required*]         | string          | The ID of the Datadog user who created the status page.                                                                                                 |
| data                  | type [*required*]       | enum            | Users resource type. Allowed enum values: `users`                                                                                                       |
| relationships         | last_modified_by_user        | object          | The Datadog user who last modified the status page.                                                                                                     |
| last_modified_by_user | data [*required*]       | object          | The data object identifying the Datadog user who last modified the status page.                                                                         |
| data                  | id [*required*]         | string          | The ID of the Datadog user who last modified the status page.                                                                                           |
| data                  | type [*required*]       | enum            | Users resource type. Allowed enum values: `users`                                                                                                       |
| Option 2              | type [*required*]       | enum            | Status pages resource type. Allowed enum values: `status_pages`                                                                                         |
| included              | Option 3                     | object          | The included status page resource.                                                                                                                      |
| Option 3              | attributes                   | object          | The attributes of a status page.                                                                                                                        |
| attributes            | company_logo                 | string          | The base64-encoded image data displayed in the company logo.                                                                                            |
| attributes            | components                   | [object]        | Components displayed on the status page.                                                                                                                |
| components            | components                   | [object]        | If the component is of type `group`, the components within the group.                                                                                   |
| components            | id                           | uuid            | The ID of the grouped component.                                                                                                                        |
| components            | name                         | string          | The name of the grouped component.                                                                                                                      |
| components            | position                     | int64           | The zero-indexed position of the grouped component. Relative to the other components in the group.                                                      |
| components            | status                       | enum            | The status of the component. Allowed enum values: `operational,degraded,partial_outage,major_outage,maintenance`                                        |
| components            | type                         | enum            | The type of the component. Allowed enum values: `component`                                                                                             |
| components            | id                           | uuid            | The ID of the component.                                                                                                                                |
| components            | name                         | string          | The name of the component.                                                                                                                              |
| components            | position                     | int64           | The zero-indexed position of the component.                                                                                                             |
| components            | status                       | enum            | The status of the component. Allowed enum values: `operational,degraded,partial_outage,major_outage,maintenance`                                        |
| components            | type                         | enum            | The type of the component. Allowed enum values: `component,group`                                                                                       |
| attributes            | created_at                   | date-time       | Timestamp of when the status page was created.                                                                                                          |
| attributes            | custom_domain                | string          | If configured, the url that the status page is accessible at.                                                                                           |
| attributes            | custom_domain_enabled        | boolean         | Whether the custom domain is configured.                                                                                                                |
| attributes            | domain_prefix                | string          | The subdomain of the status page's url taking the form `https://{domain_prefix}.statuspage.datadoghq.com`. Globally unique across Datadog Status Pages. |
| attributes            | email_header_image           | string          | Base64-encoded image data included in email notifications sent to status page subscribers.                                                              |
| attributes            | enabled                      | boolean         | Whether the status page is enabled.                                                                                                                     |
| attributes            | favicon                      | string          | Base64-encoded image data displayed in the browser tab.                                                                                                 |
| attributes            | modified_at                  | date-time       | Timestamp of when the status page was last modified.                                                                                                    |
| attributes            | name                         | string          | The name of the status page.                                                                                                                            |
| attributes            | page_url                     | string          | The url that the status page is accessible at.                                                                                                          |
| attributes            | slack_app_icon               | string          | The Slack app icon URL for the status page.                                                                                                             |
| attributes            | slack_subscriptions_enabled  | boolean         | Whether Slack subscriptions are enabled for the status page.                                                                                            |
| attributes            | subscriptions_enabled        | boolean         | Whether users can subscribe to the status page.                                                                                                         |
| attributes            | type                         | enum            | The type of the status page controlling how the status page is accessed. Allowed enum values: `public,internal`                                         |
| attributes            | visualization_type           | enum            | The visualization type of the status page. Allowed enum values: `bars_and_uptime_percentage,bars_only,component_name_only`                              |
| Option 3              | id                           | uuid            | The ID of the status page.                                                                                                                              |
| Option 3              | relationships                | object          | The relationships of a status page.                                                                                                                     |
| relationships         | created_by_user              | object          | The Datadog user who created the status page.                                                                                                           |
| created_by_user       | data [*required*]       | object          | The data object identifying the Datadog user who created the status page.                                                                               |
| data                  | id [*required*]         | string          | The ID of the Datadog user who created the status page.                                                                                                 |
| data                  | type [*required*]       | enum            | Users resource type. Allowed enum values: `users`                                                                                                       |
| relationships         | last_modified_by_user        | object          | The Datadog user who last modified the status page.                                                                                                     |
| last_modified_by_user | data [*required*]       | object          | The data object identifying the Datadog user who last modified the status page.                                                                         |
| data                  | id [*required*]         | string          | The ID of the Datadog user who last modified the status page.                                                                                           |
| data                  | type [*required*]       | enum            | Users resource type. Allowed enum values: `users`                                                                                                       |
| Option 3              | type [*required*]       | enum            | Status pages resource type. Allowed enum values: `status_pages`                                                                                         |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "components_affected": [
        {
          "id": "",
          "name": "string",
          "status": "operational"
        }
      ],
      "created_at": "2019-09-19T10:00:00.000Z",
      "deleted_at": "2019-09-19T10:00:00.000Z",
      "description": "string",
      "modified_at": "2019-09-19T10:00:00.000Z",
      "started_at": "2019-09-19T10:00:00.000Z",
      "status": "investigating"
    },
    "id": "string",
    "relationships": {
      "created_by_user": {
        "data": {
          "id": "",
          "type": "users"
        }
      },
      "degradation": {
        "data": {
          "id": "",
          "type": "degradations"
        }
      },
      "deleted_by_user": {
        "data": {
          "id": "",
          "type": "users"
        }
      },
      "last_modified_by_user": {
        "data": {
          "id": "",
          "type": "users"
        }
      },
      "status_page": {
        "data": {
          "id": "",
          "type": "status_pages"
        }
      }
    },
    "type": "degradation_updates"
  },
  "included": [
    {
      "attributes": {
        "email": "string",
        "handle": "string",
        "icon": "string",
        "name": "string",
        "uuid": "string"
      },
      "id": "string",
      "type": "users"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \## default
# 
 \# Path parameters export degradation_id="CHANGE_ME" export page_id="CHANGE_ME" export update_id="CHANGE_ME" \# Curl command curl -X PATCH "https://api.datadoghq.com/api/v2/statuspages/${page_id}/degradations/${degradation_id}/updates/${update_id}" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \
-d @- << EOF
{
  "data": {
    "attributes": {
      "description": "We've identified the source of the latency increase and are deploying a fix.",
      "status": "identified"
    },
    "id": "00000000-0000-0000-0000-000000000000",
    "type": "degradation_updates"
  }
}
EOF 
                
##### 

```python
"""
Edit degradation update returns "OK" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.status_pages_api import StatusPagesApi
from datadog_api_client.v2.model.patch_degradation_update_request import PatchDegradationUpdateRequest
from datadog_api_client.v2.model.patch_degradation_update_request_data import PatchDegradationUpdateRequestData
from datadog_api_client.v2.model.patch_degradation_update_request_data_attributes import (
    PatchDegradationUpdateRequestDataAttributes,
)
from datadog_api_client.v2.model.patch_degradation_update_request_data_attributes_status import (
    PatchDegradationUpdateRequestDataAttributesStatus,
)
from datadog_api_client.v2.model.patch_degradation_update_request_data_type import PatchDegradationUpdateRequestDataType
from uuid import UUID

body = PatchDegradationUpdateRequest(
    data=PatchDegradationUpdateRequestData(
        attributes=PatchDegradationUpdateRequestDataAttributes(
            description="We've identified the source of the latency increase and are deploying a fix.",
            status=PatchDegradationUpdateRequestDataAttributesStatus.IDENTIFIED,
        ),
        id="00000000-0000-0000-0000-000000000000",
        type=PatchDegradationUpdateRequestDataType.DEGRADATION_UPDATES,
    ),
)

configuration = Configuration()
with ApiClient(configuration) as api_client:
    api_instance = StatusPagesApi(api_client)
    response = api_instance.edit_degradation_update(
        degradation_id=UUID("9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d"),
        page_id=UUID("9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d"),
        update_id=UUID("9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d"),
        body=body,
    )

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" python3 "example.py"
##### 

```ruby
# Edit degradation update returns "OK" response

require "datadog_api_client"
api_instance = DatadogAPIClient::V2::StatusPagesAPI.new

body = DatadogAPIClient::V2::PatchDegradationUpdateRequest.new({
  data: DatadogAPIClient::V2::PatchDegradationUpdateRequestData.new({
    attributes: DatadogAPIClient::V2::PatchDegradationUpdateRequestDataAttributes.new({
      description: "We've identified the source of the latency increase and are deploying a fix.",
      status: DatadogAPIClient::V2::PatchDegradationUpdateRequestDataAttributesStatus::IDENTIFIED,
    }),
    id: "00000000-0000-0000-0000-000000000000",
    type: DatadogAPIClient::V2::PatchDegradationUpdateRequestDataType::DEGRADATION_UPDATES,
  }),
})
p api_instance.edit_degradation_update("9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d", "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d", "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d", body)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" rb "example.rb"
##### 

```go
// Edit degradation update returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
	"github.com/google/uuid"
)

func main() {
	body := datadogV2.PatchDegradationUpdateRequest{
		Data: &datadogV2.PatchDegradationUpdateRequestData{
			Attributes: &datadogV2.PatchDegradationUpdateRequestDataAttributes{
				Description: datadog.PtrString("We've identified the source of the latency increase and are deploying a fix."),
				Status:      datadogV2.PATCHDEGRADATIONUPDATEREQUESTDATAATTRIBUTESSTATUS_IDENTIFIED.Ptr(),
			},
			Id:   datadog.PtrString("00000000-0000-0000-0000-000000000000"),
			Type: datadogV2.PATCHDEGRADATIONUPDATEREQUESTDATATYPE_DEGRADATION_UPDATES,
		},
	}
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewStatusPagesApi(apiClient)
	resp, r, err := api.EditDegradationUpdate(ctx, uuid.MustParse("9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d"), uuid.MustParse("9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d"), uuid.MustParse("9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d"), body, *datadogV2.NewEditDegradationUpdateOptionalParameters())

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `StatusPagesApi.EditDegradationUpdate`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `StatusPagesApi.EditDegradationUpdate`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" go run "main.go"
##### 

```java
// Edit degradation update returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.StatusPagesApi;
import com.datadog.api.client.v2.model.DegradationUpdate;
import com.datadog.api.client.v2.model.PatchDegradationUpdateRequest;
import com.datadog.api.client.v2.model.PatchDegradationUpdateRequestData;
import com.datadog.api.client.v2.model.PatchDegradationUpdateRequestDataAttributes;
import com.datadog.api.client.v2.model.PatchDegradationUpdateRequestDataAttributesStatus;
import com.datadog.api.client.v2.model.PatchDegradationUpdateRequestDataType;
import java.util.UUID;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    StatusPagesApi apiInstance = new StatusPagesApi(defaultClient);

    PatchDegradationUpdateRequest body =
        new PatchDegradationUpdateRequest()
            .data(
                new PatchDegradationUpdateRequestData()
                    .attributes(
                        new PatchDegradationUpdateRequestDataAttributes()
                            .description(
                                "We've identified the source of the latency increase and are"
                                    + " deploying a fix.")
                            .status(PatchDegradationUpdateRequestDataAttributesStatus.IDENTIFIED))
                    .id("00000000-0000-0000-0000-000000000000")
                    .type(PatchDegradationUpdateRequestDataType.DEGRADATION_UPDATES));

    try {
      DegradationUpdate result =
          apiInstance.editDegradationUpdate(
              UUID.fromString("9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d"),
              UUID.fromString("9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d"),
              UUID.fromString("9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d"),
              body);
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling StatusPagesApi#editDegradationUpdate");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" java "Example.java"
##### 

```rust
// Edit degradation update returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_status_pages::EditDegradationUpdateOptionalParams;
use datadog_api_client::datadogV2::api_status_pages::StatusPagesAPI;
use datadog_api_client::datadogV2::model::PatchDegradationUpdateRequest;
use datadog_api_client::datadogV2::model::PatchDegradationUpdateRequestData;
use datadog_api_client::datadogV2::model::PatchDegradationUpdateRequestDataAttributes;
use datadog_api_client::datadogV2::model::PatchDegradationUpdateRequestDataAttributesStatus;
use datadog_api_client::datadogV2::model::PatchDegradationUpdateRequestDataType;
use uuid::Uuid;

#[tokio::main]
async fn main() {
    let body = PatchDegradationUpdateRequest::new().data(
        PatchDegradationUpdateRequestData::new(
            PatchDegradationUpdateRequestDataType::DEGRADATION_UPDATES,
        )
        .attributes(
            PatchDegradationUpdateRequestDataAttributes::new()
                .description(
                    "We've identified the source of the latency increase and are deploying a fix."
                        .to_string(),
                )
                .status(PatchDegradationUpdateRequestDataAttributesStatus::IDENTIFIED),
        )
        .id("00000000-0000-0000-0000-000000000000".to_string()),
    );
    let configuration = datadog::Configuration::new();
    let api = StatusPagesAPI::with_config(configuration);
    let resp = api
        .edit_degradation_update(
            Uuid::parse_str("00000000-0000-0000-0000-000000000000").expect("invalid UUID"),
            Uuid::parse_str("00000000-0000-0000-0000-000000000000").expect("invalid UUID"),
            Uuid::parse_str("00000000-0000-0000-0000-000000000000").expect("invalid UUID"),
            body,
            EditDegradationUpdateOptionalParams::default(),
        )
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" cargo run
##### 

```typescript
/**
 * Edit degradation update returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
const apiInstance = new v2.StatusPagesApi(configuration);

const params: v2.StatusPagesApiEditDegradationUpdateRequest = {
  body: {
    data: {
      attributes: {
        description:
          "We've identified the source of the latency increase and are deploying a fix.",
        status: "identified",
      },
      id: "00000000-0000-0000-0000-000000000000",
      type: "degradation_updates",
    },
  },
  degradationId: "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d",
  pageId: "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d",
  updateId: "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d",
};

apiInstance
  .editDegradationUpdate(params)
  .then((data: v2.DegradationUpdate) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" tsc "example.ts"
{% /tab %}
